Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class MutableBorderEx

    java.lang.Object
      nextapp.echo2.app.Border
          echopointng.BorderEx
              echopointng.MutableBorderEx

All Implemented Interfaces:
  java.io.Serializable

    public class MutableBorderEx

extends BorderEx

`MutableBorderEx` is extension of BorderEx is no longer immutable.

The more specific left, top, right and bottom border properties take precedence over the general border properties, in that they are applied last during rendering and are drawn so they override anything previously set by the general border properties.

See Also:
  `BorderEx`, Serialized Form

Field Summary

Fields inherited from class echopointng.BorderEx
`DEFAULT, NONE`

Fields inherited from class nextapp.echo2.app.Border
`STYLE_DASHED, STYLE_DOTTED, STYLE_DOUBLE, STYLE_GROOVE, STYLE_INSET, STYLE_NONE, STYLE_OUTSET, STYLE_RIDGE, STYLE_SOLID`

Constructor Summary
`MutableBorderEx()`
`MutableBorderEx(Color color)`
`MutableBorderEx(Extent size, Color color, int style)`
`MutableBorderEx(Extent leftSize, Color leftColor, int leftStyle, Extent rightSize, Color rightColor, int rightStyle, Extent topSize, Color topColor, int topStyle, Extent bottomSize, Color bottomColor, int bottomStyle)`
`MutableBorderEx(int size)`
`MutableBorderEx(int size, Color color)`
`MutableBorderEx(int size, Color color, int style)`
`MutableBorderEx(int leftSize, Color leftColor, int leftStyle, int rightSize, Color rightColor, int rightStyle, int topSize, Color topColor, int topStyle, int bottomSize, Color bottomColor, int bottomStyle)`

Method Summary
`void` | `setAll(Extent size, Color color, int style)` Sets all `MutableBorderEx` properties.
`void` | `setAll(int size, Color color, int style)` Sets all `MutableBorderEx` properties.
`void` | `setBottom(Extent size, Color color, int style)` Sets the bottom `MutableBorderEx` properties.
`void` | `setBottom(int size, Color color, int style)` Sets the bottom `MutableBorderEx` properties.
`void` | `setBottomColor(Color color)` Sets the bottom `MutableBorderEx` color property.
`void` | `setBottomSize(Extent size)` Sets the bottom `MutableBorderEx` size property.
`void` | `setBottomStyle(int style)` Sets the bottom `MutableBorderEx` style property.
`void` | `setColor(Color color)` Sets the color `MutableBorderEx` properties.
`void` | `setLeft(Extent size, Color color, int style)` Sets the left `MutableBorderEx` properties.
`void` | `setLeft(int size, Color color, int style)` Sets the left `MutableBorderEx` properties.
`void` | `setLeftColor(Color color)` Sets the left `MutableBorderEx` color property.
`void` | `setLeftSize(Extent size)` Sets the left `MutableBorderEx` size property.
`void` | `setLeftStyle(int style)` Sets the left `MutableBorderEx` style property.
`void` | `setRight(Extent size, Color color, int style)` Sets the right `MutableBorderEx` properties.
`void` | `setRight(int size, Color color, int style)` Sets the right `MutableBorderEx` properties.
`void` | `setRightColor(Color color)` Sets the right `MutableBorderEx` color property.
`void` | `setRightSize(Extent size)` Sets the right `MutableBorderEx` right property.
`void` | `setRightStyle(int style)` Sets the right `MutableBorderEx` style property.
`void` | `setSize(Extent size)` Sets the `MutableBorderEx` size properties.
`void` | `setStyle(int style)` Sets the `MutableBorderEx` style properties.
`void` | `setTop(Extent size, Color color, int style)` Sets the top `MutableBorderEx` properties.
`void` | `setTop(int size, Color color, int style)` Sets the top `MutableBorderEx` properties.
`void` | `setTopColor(Color color)` Sets the top `MutableBorderEx` color property.
`void` | `setTopSize(Extent size)` Sets the top `MutableBorderEx` size property.
`void` | `setTopStyle(int style)` Sets the top `MutableBorderEx` style property.

Methods inherited from class echopointng.BorderEx
`equals, getBottomColor, getBottomSize, getBottomStyle, getColor, getLeftColor, getLeftSize, getLeftStyle, getRightColor, getRightSize, getRightStyle, getSize, getStyle, getStyleString, getTopColor, getTopSize, getTopStyle, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MutableBorderEx

    public MutableBorderEx()

See Also:
  `BorderEx.BorderEx()`

### MutableBorderEx

    public MutableBorderEx(Color color)

See Also:
  `BorderEx.BorderEx(Color)`

### MutableBorderEx

    public MutableBorderEx(Extent size,
                           Color color,
                           int style)

See Also:
  `BorderEx.BorderEx(Extent, Color, int)`

### MutableBorderEx

    public MutableBorderEx(Extent leftSize,
                           Color leftColor,
                           int leftStyle,
                           Extent rightSize,
                           Color rightColor,
                           int rightStyle,
                           Extent topSize,
                           Color topColor,
                           int topStyle,
                           Extent bottomSize,
                           Color bottomColor,
                           int bottomStyle)

See Also:
  `BorderEx.BorderEx(Extent, Color, int, Extent, Color, int, Extent, Color, int, Extent, Color, int)`

### MutableBorderEx

    public MutableBorderEx(int size)

See Also:
  `BorderEx.BorderEx(int)`

### MutableBorderEx

    public MutableBorderEx(int size,
                           Color color)

See Also:
  `BorderEx.BorderEx(int, Color)`

### MutableBorderEx

    public MutableBorderEx(int size,
                           Color color,
                           int style)

See Also:
  `BorderEx.BorderEx(int, Color, int)`

### MutableBorderEx

    public MutableBorderEx(int leftSize,
                           Color leftColor,
                           int leftStyle,
                           int rightSize,
                           Color rightColor,
                           int rightStyle,
                           int topSize,
                           Color topColor,
                           int topStyle,
                           int bottomSize,
                           Color bottomColor,
                           int bottomStyle)

See Also:
  `BorderEx.BorderEx(int, Color, int, int, Color, int, int, Color, int, int, Color, int)`

Method Detail

### setAll

    public void setAll(Extent size,
                       Color color,
                       int style)

  Sets all `MutableBorderEx` properties.

  Parameters:
    `size` - - is the size of the border
    `color` - - is the color of the border
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setAll

    public void setAll(int size,
                       Color color,
                       int style)

  Sets all `MutableBorderEx` properties.

  Parameters:
    `size` - - is the size of the border in pixels
    `color` - - is the color of the border
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setBottom

    public void setBottom(Extent size,
                          Color color,
                          int style)

  Sets the bottom `MutableBorderEx` properties.

  Parameters:
    `size` - - is the size of the border
    `color` - - is the color of the border
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setBottom

    public void setBottom(int size,
                          Color color,
                          int style)

  Sets the bottom `MutableBorderEx` properties.

  Parameters:
    `size` - - is the size of the border in pixels
    `color` - - is the color of the border
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setBottomColor

    public void setBottomColor(Color color)

  Sets the bottom `MutableBorderEx` color property.

  Parameters:
    `color` - - is the color of the border

### setBottomSize

    public void setBottomSize(Extent size)

  Sets the bottom `MutableBorderEx` size property.

  Parameters:
    `size` - - is the size of the border

### setBottomStyle

    public void setBottomStyle(int style)

  Sets the bottom `MutableBorderEx` style property.

  Parameters:
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setColor

    public void setColor(Color color)

  Sets the color `MutableBorderEx` properties.

  Parameters:
    `color` - - is the color of the border

### setLeft

    public void setLeft(Extent size,
                        Color color,
                        int style)

  Sets the left `MutableBorderEx` properties.

  Parameters:
    `size` - - is the size of the border
    `color` - - is the color of the border
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setLeft

    public void setLeft(int size,
                        Color color,
                        int style)

  Sets the left `MutableBorderEx` properties.

  Parameters:
    `size` - - is the size of the border in pixels
    `color` - - is the color of the border
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setLeftColor

    public void setLeftColor(Color color)

  Sets the left `MutableBorderEx` color property.

  Parameters:
    `color` - - is the color of the border

### setLeftSize

    public void setLeftSize(Extent size)

  Sets the left `MutableBorderEx` size property.

  Parameters:
    `size` - - is the size of the border

### setLeftStyle

    public void setLeftStyle(int style)

  Sets the left `MutableBorderEx` style property.

  Parameters:
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setRight

    public void setRight(Extent size,
                         Color color,
                         int style)

  Sets the right `MutableBorderEx` properties.

  Parameters:
    `size` - - is the size of the border
    `color` - - is the color of the border
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setRight

    public void setRight(int size,
                         Color color,
                         int style)

  Sets the right `MutableBorderEx` properties.

  Parameters:
    `size` - - is the size of the border in pixels
    `color` - - is the color of the border
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setRightColor

    public void setRightColor(Color color)

  Sets the right `MutableBorderEx` color property.

  Parameters:
    `color` - - is the color of the border

### setRightSize

    public void setRightSize(Extent size)

  Sets the right `MutableBorderEx` right property.

  Parameters:
    `size` - - is the size of the border

### setRightStyle

    public void setRightStyle(int style)

  Sets the right `MutableBorderEx` style property.

  Parameters:
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setSize

    public void setSize(Extent size)

  Sets the `MutableBorderEx` size properties.

  Parameters:
    `size` - - is the size of the border

### setStyle

    public void setStyle(int style)

  Sets the `MutableBorderEx` style properties.

  Parameters:
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setTop

    public void setTop(Extent size,
                       Color color,
                       int style)

  Sets the top `MutableBorderEx` properties.

  Parameters:
    `size` - - is the size of the border
    `color` - - is the color of the border
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setTop

    public void setTop(int size,
                       Color color,
                       int style)

  Sets the top `MutableBorderEx` properties.

  Parameters:
    `size` - - is the size of the border in pixels
    `color` - - is the color of the border
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### setTopColor

    public void setTopColor(Color color)

  Sets the top `MutableBorderEx` color property.

  Parameters:
    `color` - - is the color of the border

### setTopSize

    public void setTopSize(Extent size)

  Sets the top `MutableBorderEx` size property.

  Parameters:
    `size` - - is the size of the border

### setTopStyle

    public void setTopStyle(int style)

  Sets the top `MutableBorderEx` style property.

  Parameters:
    `style` - - the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD